Cyan Web API - Version 1


GET api/tenantApplications?{tenantId}&{applicationId}

            Gets a TenantApplication.
            

Request Information

Parameters

NameDescriptionAdditional information
tenantId

Define this parameter in the request URI.

applicationId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "tenantId": "16e19005-d2df-4140-87b9-6e725d290d5c",
  "applicationId": "52809ac6-0380-42ce-b7bb-8f21abd62b5e",
  "licenseKey": "sample string 3",
  "isLicenseKeyActive": true,
  "totalLicenses": 5,
  "applicationLookupKey": "sample string 6",
  "createdDateUtc": "2026-05-11T10:12:12.7717016+00:00",
  "updatedDateUtc": "2026-05-11T10:12:12.7717016+00:00"
}

application/xml, text/xml

Sample:
<TenantApplicationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-05-11T10:12:12.7717016+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-05-11T10:12:12.7717016+00:00</UpdatedDateUtc>
  <ApplicationId>52809ac6-0380-42ce-b7bb-8f21abd62b5e</ApplicationId>
  <ApplicationLookupKey>sample string 6</ApplicationLookupKey>
  <IsLicenseKeyActive>true</IsLicenseKeyActive>
  <LicenseKey>sample string 3</LicenseKey>
  <TenantId>16e19005-d2df-4140-87b9-6e725d290d5c</TenantId>
  <TotalLicenses>5</TotalLicenses>
</TenantApplicationRepresentation>